Page MenuHomePhabricator

New "engineer" usergroup for ruwiki
Closed, ResolvedPublic

Description

Initial request
Please, create a new usergroup in ruwiki with the following properties:

  • usergroup name: инженер (russian), engineer (english)
  • userrights: editinterface, edituserjs, editusercss, movefile, move-categorypages, move-subpages, suppressredirect, editprotected, apihighlimits, noratelimit, editcontentmodel, jsonconfig-flush
  • grant and revoke by sysops

Amended request

As the user rights are sensitive and need trusted users, grant and revoke should be by bureaucrats.

Local project discussion

Finished discussion on https://ru.wikipedia.org/wiki/%D0%92%D0%B8%D0%BA%D0%B8%D0%BF%D0%B5%D0%B4%D0%B8%D1%8F:%D0%9E%D0%BF%D1%80%D0%BE%D1%81%D1%8B/%D0%A4%D0%BB%D0%B0%D0%B3_%D1%82%D0%B5%D1%85%D0%BD%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%BE%D0%B3%D0%BE_%D0%B0%D0%B4%D0%BC%D0%B8%D0%BD%D0%B8%D1%81%D1%82%D1%80%D0%B0%D1%82%D0%BE%D1%80%D0%B0

Details

Related Gerrit Patches:
operations/mediawiki-config : masterNew 'engineer' group for ruwiki
mediawiki/extensions/WikimediaMessages : wmf/1.28.0-wmf.21Wikimedia messages for new 'engineer' group for ruwiki
mediawiki/extensions/WikimediaMessages : wmf/1.28.0-wmf.20Wikimedia messages for new 'engineer' group for ruwiki
mediawiki/extensions/WikimediaMessages : masterWikimedia messages for new 'engineer' group for ruwiki

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Past requests about adding sensitive permissions like editinterface by sysops has been declined, see T85713 and https://phabricator.wikimedia.org/T133472#2234186 for reference.

Urbanecm triaged this task as Low priority.Sep 2 2016, 5:05 PM

Low: Until we fully discuss the security problem this is low priority I think because The change isn't needed before two weeks. I think we'll get into it by two weeks...

Urbanecm added a comment.EditedSep 2 2016, 5:06 PM

As ruwiki has 'crats I really recommend you to grant this group by them.

The discussion explicitly considered who should close the procedure, sysops or bureaucrats. Arguments for bureaucrats have been given too, and it was a viable envisaged option.

Furthermore, the first name of the group when the discussion has been opened was "технического администратора", tehnicheskogo administratora.

We can so move the request forward, and align the add/removal of this group on the Russian Wikipedia configuration for their administrators.

Russian Wikipedia bureaucrats can remove sysops flags, so they can also be allowed to remove the engineer flag.

Dereckson updated the task description. (Show Details)Sep 2 2016, 6:41 PM

I share objections raised by @Urbanecm and @Dereckson. Also, given T139246, the group should be called editinterface. The name can be customized locally modifying the local MediaWiki messages.

vvv added a subscriber: vvv.Sep 3 2016, 5:49 PM

So, there seems to be a security concern expressed here about allowing sysops to delegate editinterface permission. However, the more I think about it, the more unconvinced I become that there is any actual difference between the existing situation and the proposed one. Could someone elaborate what the suggested threat model is?

stjn added a subscriber: stjn.Sep 3 2016, 6:14 PM

I share objections raised by @Urbanecm and @Dereckson. Also, given T139246, the group should be called editinterface. The name can be customized locally modifying the local MediaWiki messages.

I object to proposed group name even after reading task you’ve linked to. This potential unification is maybe needed for autopatrolled etc., but it is rather harmful for entirely different groups with different purposes and rights. So, for example, if this group would be named ‘interface editor’ in other languages, it would just be an ambiguous name.

If you want unification, perhaps it would be more smart to use name ‘technician’ more frequently, rather than remove it in favour of obscure name which makes this group sound like it’s consisting of one right.

@Dereckson: I don’t think that’s a question since all bureaucrats at ruwiki have sysop flags.

No, they're not different. They all have the same purpose: unbundling from
the sysops the privs to edit css and js site files and other things. That
the permissions are a bit different across the sites is nothing new and it
happens with some non standard groups such as patrollers, rollbackers, etc.
I won't take part and will oppose the creation of more fancy names for this
usergroup here and on other wikis. It's absurd and it doubles the work for
us all. You can customize the name locally by modifying the relevant
MediaWiki messages.

vvv added a comment.Sep 4 2016, 12:50 AM

No, they're not different. They all have the same purpose: unbundling from
the sysops the privs to edit css and js site files and other things. That
the permissions are a bit different across the sites is nothing new and it
happens with some non standard groups such as patrollers, rollbackers, etc.

So, what you're saying is that you claim to understand the purpose of the flag better than the people who are requesting it, and who are actually involved in the relevant community?

I won't take part and will oppose the creation of more fancy names for this
usergroup here and on other wikis. It's absurd and it doubles the work for
us all. You can customize the name locally by modifying the relevant
MediaWiki messages.

Ugh, there is no work besides localizing the group names (and even that is a super-low-priority task, since only two languages usually matter).

Dereckson added a comment.EditedSep 4 2016, 12:51 AM

@MarcoAurelio Some groups have also Abusefilter rights, that seems something more than editinterface, here there are move rights too (it's virtually a sysop with block feature).

@Dereckson: I don’t think that’s a question since all bureaucrats at ruwiki have sysop flags.

What I meant is the traditional power structure of Wikimedia projects ask bureaucrats are the ones to grant sensible rights. Independantly of their sysop status, they are also used to grant sensible rights,

vvv added a comment.Sep 4 2016, 12:59 AM

What I meant is the traditional power structure of Wikimedia projects ask bureaucrats are the ones to grant sensible rights. Independantly with their sysop status, they are also used to grant sensible rights,

Sure, but as far as I am aware there is no actual strict requirements to follow the "standard" permissions model, and in fact typically the larger is the community, the more it diverges from a model (especially in social aspects). The only mandatory parts are those related to privacy-sensitive privileges.

Well, editinterface allows to inject potentially harmful HTML code to virtually every page on a wiki.

The problem with the name editinterface is that it is dramatically misleading in case of ruwiki. Here, this flag has a focus on editprotected right, while editinterface may be in front in terms of security, but not in how this flag is perceived (there's just an incomparable amount of work in "MediaWiki" namespace, from one side, and in "Template" and "Module", from the other). So, if you name it editinterface, there would be much semantic inconsistency here. I actually believe engineer may be an apt name not just for "engineers" in ruwiki but for the concept in general (sounds a bit informally, just like "bureaucrat").

So, what you're saying is that you claim to understand the purpose of the flag better than the people who are requesting it, and who are actually involved in the relevant community?

Don't twist my words. I never said that.

So the group can't be called editinterface while the group indeed has editinterface permissions? What's the point on creating several group names on WikimediaMessages for virtually the same subset of permissions? I don't really understand. If you see the configuration at InitialiseSettings, except two wikis where this permission is called technician and technican (both to be renamed), and one botadmin, every user group that has editinterface permissions are called interface-editors. I humbly don't think we should be making an special case here. And I repeat, independently of the name set in the configuration, you can alter the local descriptions modifying the local MediaWiki Group-interface-editor/Group-interface-editor-member/Grouppage-interface-editor. Regards.

Dereckson added a comment.EditedSep 4 2016, 1:33 PM

The local edit would create a situation similar to the situation you try to
fix: any person browsing ru.wikipedia in a language where the message
wasn't locally localized would get the idea it's an interface editor group,
while ru.wikip wants to convey the idea "this is a group for administrators
without the block feature".

@MarcoAurelio There was much discussion regarding whether we in ruwiki should give editinterface permission to this group. And though the result was "yes", I can't quite accept the idea interface editing is what it is all about. It's theoretically possible this right will be removed in the future, leaving editprotected,—and you will need to rename the group, which doesn't seem like a consistent approach to me.

Also, I saw you making a commit and changing from "technic(i)an" to "editinterface" on two occasions, but that's completely another group there, @stjn is right. As you can see at this page on trwiki, there's no editprotected right included, so the change is semantically consistent, which is not the case in ruwiki. Even more, I don't see that our group has much to do with global interface editors, who, despite having editprotected right, are truly interface editors. So, Occam's razor just isn't quite applicable here.

That's my point, the rest is up to those responsible to decide.

We can conciliate the two requirements: efficient localisation and convey intent/meaning: we need more "universal" groups and abandon the idea to merge a kind of technical administrator where the idea is "everything excepted to block or take social decisions about users" and editinterface where the idea is "only edit the interface".

I acknowledge a look on the rights assigned to these two groups wouldn't highlight on some wikis a lot of differences, but that would allow to better convey community meaning.

Change 308448 had a related patch set uploaded (by MarcoAurelio):
New 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/308448

Change 308449 had a related patch set uploaded (by MarcoAurelio):
Wikimedia messages for new 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/308449

Meirae added a subscriber: Meirae.Sep 4 2016, 9:02 PM
MBH added a comment.Sep 5 2016, 10:24 AM

When this changes will be deployed?

In T144599#2608442, @MaxBioHazard wrote:

When this changes will be deployed?

If people agree, we can have this live in the next days. I think that it'd be good to have this added first to WikimediaMessages and then add the group to ruwiki, so MediaWiki messages ain't broken and people from outside ruwiki can see it translated.

Meirae removed a subscriber: Meirae.Sep 7 2016, 11:09 AM
Meirae added a subscriber: Meirae.
Arbnos added a subscriber: Arbnos.Sep 7 2016, 4:07 PM
MBH added a comment.Sep 16 2016, 5:04 PM

12 days passed.

Yes, indeed. We'll take a naming decision and deploy this Monday.

Base added a comment.Sep 16 2016, 5:30 PM

Naming decision was made by the community. Lots more people than few doing it here.

The pathes were uploaded already but they've not been reviewed yet so I did
not scheduled them for SWAT. The messages patch should be merged first, and
the group later once we have the messages. Merging the messages can be done
now if syntax is correct, but we need an i18n expert. Maybe @Nikerabbit
could have a look at those.

Since I worked on the patches.

MBH added a comment.Sep 24 2016, 3:41 PM

When group will be deployed?

Add that the patches are on -1 now, so they won't get merged. I'm in talks
with Dereckson on how to resolve this. Even if I disliked the name, the
patches contains the group name and rights as requested by ruwiki. My
suggestion was to merge and discuss later if a more suitable name can be
found for this class of usergroups across wmf wikis. Thanks.

Please note there isn't any deployment next week, excepted for emergencies, during the operations team offsite.

Next available deployment windows are October 3rd. That left the week to merge the localisation patch.

MBH added a comment.Oct 4 2016, 3:38 PM

Will this request be performed in this deployment window? It was posted more than month ago.

@MaxBioHazard Does your community already started some votes and processes to nominate users in this group?

If not, that can wait we merge l10n. If yes, that should be deployed regardless l10n status.

MBH added a comment.Oct 4 2016, 4:48 PM

Votes and processes not started, because we wait creation of the flag. If flag was created earlier, votes and processes have begun weeks ago.

Thanks for the update.

@Dereckson But L10n/i18n patches won't be merged because you have -1 them.
Maybe if you removed your -1 on them, even if we are not content with the
naming decision, we can have this live in the next days. Discussion on how
standardize this kind of group names across WMF projects can happen in a
separate task. Regards.

Arseny1992 added a subscriber: Arseny1992.

For the current status of consensus regarding that change, I'd rate it that it wasn't actually reached

Just checked the nearly entire list of the discussions went so far :

w:ru:Википедия:Опросы/Флаг технического администратора - poll discussion regarding the functions engineer would perform
w:ru:Википедия:Форум/Архив/Общий/2016/08#Полбублика или технический администратор - village pump discussion about how that group should be named
w:ru:Википедия:Форум/Общий#Буква в гаджете флагов - discussion about which letter should be chosen for depicting users with that right in signatures (user rights gadget)
w:ru:Википедия:Обсуждение правил/Технический флаг «Инженер» - policy discussion
w:ru:Википедия:Инженеры - policy description

Current state is that

a) there was expressed desire for maybe one or two members to be in such a group to perform trivial administration tasks. Processes to enlist for such a right also vague.
b) no consensus was reached on, or actually that point wasn't brought upon discussion on whether why they cannot employ the interface-editor group (with possible custom flags configuration than default) for that purpose and localize appropriate local messages accordingly if the name of engineers is to stick on. Therefore this request is blocked by T144638

Em, where did you get all that from? Your a) is entirely your personal impression which has very little to do with reality.

There were 4 successive unchallenged closures by your links which say that 1) flag should be created with listed rights, 2) it should be regulated by the policy at Википедия:Инженеры, 3) it should be called "engineer", not "technician", not "technical administrator", not anything else, 4) it should be assigned letter "E" in the gadget.

There sure wasn't any consensus, as well as any discussions, of the "interface editor" name, due to its irrelevant nature to the matter in question. Technical administrator, or engineer, as we decided to call it, is not just an interface editor by definition. At least 4 members of the community here have given their opinions regarding "editinterface" name, all of which were negative.

I also believe you should be careful with epithets like "trivial" (maybe the tasks are trivial, but in your context that sounds disdainful), "maybe one or two members", "vague", which give a feeling of pejorative. There is no place where you could gather that information.

Kf8 added a subscriber: Kf8.Oct 5 2016, 11:28 PM

There was a clear consensus on engineer/tech admin flag in every discussion listed above. I have no clue why Arseny1992 has decided that this group would contain only one or two members. The demand is huge, we now have to make de-facto engineers like DonRumata to have a stupid-looking template on top of their userpages.

The rights listed in the proposal are in no way limited to interface editing, and that is precisely why names like interface-editor or editinterface cannot be used. Why wasting another week on a survey with an easily predictable result? Believe me, I can bet my money on it.

The procedure to enlist is clear as day and described in detail in w:ru:Википедия:Инженеры#Присвоение и снятие флага.

Arseny1992 added a comment.EditedOct 6 2016, 12:52 AM

There was a clear consensus on engineer/tech admin flag in every discussion listed above. I have no clue why Arseny1992 has decided that this group would contain only one or two members. The demand is huge, we now have to make de-facto engineers like DonRumata to have a stupid-looking template on top of their userpages.

Википедия:Опросы/Флаг технического администратора#Конкретика , while taking into account the long-term of actually using such a flag on practice
Википедия:Опросы/Флаг технического администратора#Что делать с нынешними техадминами? clearly shows that on practice the tasks of a technical admin only does one person, while all 88 admins have all the flags to do the same

The rights listed in the proposal are in no way limited to interface editing, and that is precisely why names like interface-editor or editinterface cannot be used. Why wasting another week on a survey with an easily predictable result? Believe me, I can bet my money on it.

Policy page references the enwiki template editor policy as a base of this policy, yet they do mostly the same things with the only exception that enwiki has over 1000 sysops and so can handle ns_mediawiki . Really good point for why this can't be done in ruwiki at the smaller scale of it's 88 admins? w:ru:Википедия:Запросы к администраторам (local Requests for admin actions) is usually being responded on timely manner from what can be seen as most sysops are active.

Flag name: as per T144638 other wikis which have similar flags are going to be standardized into interface-editor because techadmin is a too-generic name. Either as proposed before my first reply, naming for such a generic group should be globally standardized, or that makes ruwiki, trwiki, trwikiquote special.

So options: a) grant interface-editor the requested extra flags and update local messages, or b) grant both interface-editor + template-editor or something with the extra flags. The current implementation of the policy lists flags that are usable by these groups separately and that's the case in other wikis also (cc enwiki, and doesn't make it special generic group names). Also granting them separately would minimize abuse in case one is noticed: if one improperly edits ns_mediawiki only editinterface can be either temporarily or permanently revoked, while the other group flag can optionally be retained so the user' access to other functions like editing gadgets, templates and modules is kept if the user has the skills, knowledge and technical expertise etc. to do the changes for templates, modules and editprotected.

Kf8 added a comment.EditedOct 6 2016, 4:10 AM

There was a clear consensus on engineer/tech admin flag in every discussion listed above. I have no clue why Arseny1992 has decided that this group would contain only one or two members. The demand is huge, we now have to make de-facto engineers like DonRumata to have a stupid-looking template on top of their userpages.

Википедия:Опросы/Флаг технического администратора#Конкретика , while taking into account the long-term of actually using such a flag on practice

If you read carefully, it is clearly stated there are at least 10 potential candidates. I can name 15.

Википедия:Опросы/Флаг технического администратора#Что делать с нынешними техадминами? clearly shows that on practice the tasks of a technical admin only does one person, while all 88 admins have all the flags to do the same

Currently we have only one 'engineer', but there was another one who later got the 'full' admin flag. And there were unsuccessful RFAs where the community has refused to give out full admin flag for technical purposes. Most of the admins have 0 understanding of the technical side of Wikipedia, they are good with discussion-closing, people-banning, etc., but their technical skills have never been tested on RFAs. Because it is believed that the most important thing to do for an admin is closing and banning.

Policy page references the enwiki template editor policy as a base of this policy, yet they do mostly the same things with the only exception that enwiki has over 1000 sysops and so can handle ns_mediawiki . Really good point for why this can't be done in ruwiki at the smaller scale of it's 88 admins? w:ru:Википедия:Запросы к администраторам (local Requests for admin actions) is usually being responded on timely manner from what can be seen as most sysops are active.

It is very hard to get an admin flag in Ruwiki. Very. Hard. Due to historical reasons. There were unsuccessful RFAs for engineers already, and the Ruwiki community does not want to grant the full flag to 'technically inclined people'.

Flag name: as per T144638 other wikis which have similar flags are going to be standardized into interface-editor because techadmin is a too-generic name. Either as proposed before my first reply, naming for such a generic group should be globally standardized, or that makes ruwiki, trwiki, trwikiquote special.

A generic group has a generic name, can't see the problem here.

So options: a) grant interface-editor the requested extra flags and update local messages, or b) grant both interface-editor + template-editor or something with the extra flags. The current implementation of the policy lists flags that are usable by these groups separately and that's the case in other wikis also (cc enwiki, and doesn't make it special generic group names). Also granting them separately would minimize abuse in case one is noticed: if one improperly edits ns_mediawiki only editinterface can be either temporarily or permanently revoked, while the other group flag can optionally be retained so the user' access to other functions like editing gadgets, templates and modules is kept if the user has the skills, knowledge and technical expertise etc. to do the changes for templates, modules and editprotected.

I would suggest sticking to the community's decision.

MBH added a comment.Oct 6 2016, 10:17 AM

"Policy page references the enwiki template editor policy as a base of this policy" - NO, ruwiki policy was written by me from scratch, it has nothing in common with enwiki templateeditor policy. Ruwiki has no "templateeditor" protection level, ruwiki's local community rejected it and enwiki-based templateeditor model 2 years ago. Arseny, please, do not misinform developers who can't read Russian. @vvv, a Mediawiki developer who can read Russian, wrote in this thread, he didn't find the things you described problematic and he supports the creation of engineers usergroup.

I appeal to developers: Ruwiki has one of the biggest and most developed local communities, contains hundreds of active users, who reads our village pump every day and saw all the discussions about this usergroup, that continued several months. Please, embody result of this discussions, including flag granting/revoking by sysops (what was discussed in detail in flag-related survey).

Dereckson raised the priority of this task from Low to Medium.EditedOct 6 2016, 10:58 AM

@Arseny1992 It seems there is well a consensus on the ru. community, with a rich discussion having taking care of all the aspects.

We're deploying the config as is, and we will take care later of the localisation / groups standardization. There are a lot of merits to offer some standardization of the statuses, especially to improve localisation, but if the community wants this right now, this is a reasonable request.

Change 314533 had a related patch set uploaded (by MarcoAurelio):
Wikimedia messages for new 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/314533

Scheduled for today European Mid-day SWAT.

Change 308449 merged by jenkins-bot:
Wikimedia messages for new 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/308449

Change 314562 had a related patch set uploaded (by Dereckson):
Wikimedia messages for new 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/314562

Change 314562 merged by jenkins-bot:
Wikimedia messages for new 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/314562

Change 314533 merged by jenkins-bot:
Wikimedia messages for new 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/314533

Change 308448 merged by jenkins-bot:
New 'engineer' group for ruwiki

https://gerrit.wikimedia.org/r/308448

Mentioned in SAL (#wikimedia-operations) [2016-10-06T14:23:31Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: New 'engineer' group for ruwiki (T144599) (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2016-10-06T14:25:00Z] <dereckson@tin> Synchronized php-1.28.0-wmf.20/extensions/WikimediaMessages/i18n/wikimedia: Wikimedia messages for new 'engineer' group for ruwiki (T144599) (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2016-10-06T14:26:00Z] <dereckson@tin> Synchronized php-1.28.0-wmf.21/extensions/WikimediaMessages/i18n/wikimedia: Wikimedia messages for new 'engineer' group for ruwiki (T144599) (duration: 00m 49s)

Current status:

  • configuration is deployed and works fine
  • localisation cache is rebuilding, it will be synced in the next dozens of minute
MarcoAurelio closed this task as Resolved.Oct 6 2016, 2:40 PM